package com.company.jmixproject.entity;

import io.jmix.core.metamodel.datatype.impl.EnumClass;

import javax.annotation.Nullable;


public enum IntEnum implements EnumClass<Integer> {

    TEN(10),
    TWENTY(20);

    private Integer id;

    IntEnum(Integer value) {
        this.id = value;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static IntEnum fromId(Integer id) {
        for (IntEnum at : IntEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}