package com.company.jmixproject.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import java.util.UUID;

@JmixEntity
@Table(name = "JMIXP_ORDER")
@Entity(name = "jmixp_Order")
public class Order {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "INT_ENUM")
    private Integer intEnum;

    @JoinColumn(name = "USER_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private User user;

    @Column(name = "NAME")
    private String name;

    public IntEnum getIntEnum() {
        return intEnum == null ? null : IntEnum.fromId(intEnum);
    }

    public void setIntEnum(IntEnum intEnum) {
        this.intEnum = intEnum == null ? null : intEnum.getId();
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}